Index: .
===================================================================
diff --git a/trunk/dports/_resources/port1.0/group/qt5-1.0.tcl b/trunk/dports/_resources/port1.0/group/qt5-1.0.tcl
--- a/trunk/dports/_resources/port1.0/group/qt5-1.0.tcl	(revision 131485)
+++ b/trunk/dports/_resources/port1.0/group/qt5-1.0.tcl	(working copy)
@@ -59,86 +59,133 @@
     }
 }
 
+variant exclusive description {Builds and installs Qt5-mac the older way, such that other Qt versions can NOT be installed alongside it} {}
+
 # standard Qt5 name
 global qt_name
 set qt_name             qt5
 
 # standard install directory
-global qt_dir
-set qt_dir              ${prefix}
-
+    global qt_dir
+    global qt_dir_rel
 # standard Qt documents directory
-global qt_docs_dir
-set qt_docs_dir         ${qt_dir}/share/doc/${qt_name}
-
+    global qt_docs_dir
 # standard Qt plugins directory
-global qt_plugins_dir
-set qt_plugins_dir      ${qt_dir}/share/${qt_name}/plugins
-
+    global qt_plugins_dir
 # standard Qt mkspecs directory
-global qt_mkspecs_dir
-set qt_mkspecs_dir      ${qt_dir}/share/${qt_name}/mkspecs
-
+    global qt_mkspecs_dir
 # standard Qt imports directory
-global qt_imports_dir
-set qt_imports_dir      ${qt_dir}/share/${qt_name}/imports
-
+    global qt_imports_dir
 # standard Qt qml directory
-global qt_qml_dir
-set qt_qml_dir          ${qt_dir}/share/${qt_name}/qml
-
+    global qt_qml_dir
 # standard Qt includes directory
-global qt_includes_dir
-set qt_includes_dir     ${qt_dir}/include
-
+    global qt_includes_dir
 # standard Qt libraries directory
-global qt_libs_dir
-set qt_libs_dir         ${qt_dir}/lib
-
+    global qt_libs_dir
 # standard Qt libraries directory
-global qt_frameworks_dir
-set qt_frameworks_dir   ${qt_dir}/Library/Frameworks
-
+    global qt_frameworks_dir
+    global qt_frameworks_dir_rel
 # standard Qt non-.app executables directory
-global qt_bins_dir
-set qt_bins_dir         ${qt_dir}/bin
-
-# standard Qt .app executables directory, if created
-global qt_apps_dir
-set qt_apps_dir         ${applications_dir}/Qt5
-
+    global qt_bins_dir
 # standard Qt data directory
-global qt_data_dir
-set qt_data_dir         ${qt_dir}/share/${qt_name}
-
+    global qt_data_dir
 # standard Qt translations directory
-global qt_translations_dir
-set qt_translations_dir ${qt_dir}/share/${qt_name}/translations
-
+    global qt_translations_dir
 # standard Qt sysconf directory
-global qt_sysconf_dir
-set qt_sysconf_dir      ${qt_dir}/etc/${qt_name}
-
+    global qt_sysconf_dir
 # standard Qt examples directory
-global qt_examples_dir
-set qt_examples_dir     ${qt_dir}/share/${qt_name}/examples
-
+    global qt_examples_dir
 # standard Qt tests directory
-global qt_tests_dir
-set qt_tests_dir     ${qt_dir}/share/${qt_name}/tests
-
+    global qt_tests_dir
 # standard Qt demos directory
-global qt_demos_dir
-set qt_demos_dir        ${qt_dir}/share/${qt_name}/demos
-
+    global qt_demos_dir
 # standard CMake module directory for Qt-related files
-global qt_cmake_module_dir
-set qt_cmake_module_dir ${qt_libs_dir}/cmake
-
+    global qt_cmake_module_dir
 # standard qmake command location
-global qt_qmake_cmd
-set qt_qmake_cmd        ${qt_dir}/bin/qmake
+    global qt_qmake_cmd
+# standard moc command location
+    global qt_moc_cmd
+# standard uic command location
+    global qt_uic_cmd
+# standard lrelease command location
+    global qt_lrelease_cmd
 
+global qt5_is_concurrent
+if {![variant_isset exclusive]} {
+    # check if we're building qt5 itself
+    if {![info exists building_qt5] || ![info exists name] || ${name} ne "qt5-mac"} {
+        # no, this must be a dependent port: check the qt5 install:
+        if {[file exists ${prefix}/libexec/${qt_name}/bin/qmake]} {
+            # we have a "concurrent" install, which means we must look for the various components
+            # in different locations (esp. qmake)
+            set qt5_is_concurrent   1
+            set auto_concurrent     1
+            ui_msg "NB:\nQt5 has been installed in concurrent mode\n"
+        }
+    } else {
+        # we're building qt5-mac or one of its subports
+        if {![info exists qt5_is_concurrent]} {
+            ui_msg "NB:\nQt5 has been or will be installed in concurrent mode\n"
+        }
+        # we're asking for the standard concurrent install. No need to guess anything, give the user what s/he wants
+        set qt5_is_concurrent   1
+        set auto_concurrent     1
+    }
+}
+
+if {[info exists qt5_is_concurrent]} {
+    set qt_dir              ${prefix}/libexec/${qt_name}
+    set qt_dir_rel          libexec/${qt_name}
+    set qt_docs_dir         ${prefix}/share/doc/${qt_name}
+    set qt_plugins_dir      ${prefix}/share/${qt_name}/plugins
+    set qt_mkspecs_dir      ${prefix}/share/${qt_name}/mkspecs
+    set qt_imports_dir      ${prefix}/share/${qt_name}/imports
+    set qt_qml_dir          ${prefix}/share/${qt_name}/qml
+    set qt_includes_dir     ${prefix}/include/${qt_name}
+    set qt_libs_dir         ${qt_dir}/lib
+    set qt_frameworks_dir   ${qt_dir}/Library/Frameworks
+    set qt_bins_dir         ${qt_dir}/bin
+    set qt_data_dir         ${prefix}/share/${qt_name}
+    set qt_translations_dir ${prefix}/share/${qt_name}/translations
+    set qt_sysconf_dir      ${prefix}/etc/${qt_name}
+    set qt_examples_dir     ${prefix}/share/${qt_name}/examples
+    set qt_tests_dir        ${prefix}/share/${qt_name}/tests
+    set qt_demos_dir        ${prefix}/share/${qt_name}/demos
+    set qt_cmake_module_dir ${prefix}/lib/cmake
+    set qt_qmake_cmd        ${qt_dir}/bin/qmake
+    set qt_moc_cmd          ${qt_dir}/bin/moc
+    set qt_uic_cmd          ${qt_dir}/bin/uic
+    set qt_lrelease_cmd     ${qt_dir}/bin/lrelease
+} else {
+    set qt_dir              ${prefix}
+    set qt_dir_rel          ""
+    set qt_docs_dir         ${qt_dir}/share/doc/${qt_name}
+    set qt_plugins_dir      ${qt_dir}/share/${qt_name}/plugins
+    set qt_mkspecs_dir      ${qt_dir}/share/${qt_name}/mkspecs
+    set qt_imports_dir      ${qt_dir}/share/${qt_name}/imports
+    set qt_qml_dir          ${qt_dir}/share/${qt_name}/qml
+    set qt_includes_dir     ${qt_dir}/include
+    set qt_libs_dir         ${qt_dir}/lib
+    set qt_frameworks_dir   ${qt_dir}/Library/Frameworks
+    set qt_bins_dir         ${qt_dir}/bin
+    set qt_data_dir         ${qt_dir}/share/${qt_name}
+    set qt_translations_dir ${qt_dir}/share/${qt_name}/translations
+    set qt_sysconf_dir      ${qt_dir}/etc/${qt_name}
+    set qt_examples_dir     ${qt_dir}/share/${qt_name}/examples
+    set qt_tests_dir        ${qt_dir}/share/${qt_name}/tests
+    set qt_demos_dir        ${qt_dir}/share/${qt_name}/demos
+    set qt_cmake_module_dir ${qt_libs_dir}/cmake
+    set qt_qmake_cmd        ${qt_dir}/bin/qmake
+    set qt_moc_cmd          ${qt_dir}/bin/moc
+    set qt_uic_cmd          ${qt_dir}/bin/uic
+    set qt_lrelease_cmd     ${qt_dir}/bin/lrelease
+}
+set qt_frameworks_dir_rel   ${qt_dir_rel}/Library/Frameworks
+
+# standard Qt .app executables directory, if created
+global qt_apps_dir
+set qt_apps_dir         ${applications_dir}/Qt5
+
 # standard qmake spec
 # configure script prefers clang (but "[a]dvertise[s] g++ as an alternative on Lion and below").
 # According to http://qt-project.org/doc/qt-5/supported-platforms.html#reference-configurations,
@@ -162,25 +209,13 @@
     set qt_qmake_spec ""
 }
 
-# standard moc command location
-global qt_moc_cmd
-set qt_moc_cmd          ${qt_dir}/bin/moc
-
-# standard uic command location
-global qt_uic_cmd
-set qt_uic_cmd          ${qt_dir}/bin/uic
-
-# standard lrelease command location
-global qt_lrelease_cmd
-set qt_lrelease_cmd     ${qt_dir}/bin/lrelease
-
 # standard PKGCONFIG path
 global qt_pkg_config_dir
-set qt_pkg_config_dir   ${qt_libs_dir}/pkgconfig
+set qt_pkg_config_dir   ${prefix}/lib/pkgconfig
 
 # data used by qmake
 global qt_host_data_dir
-set qt_host_data_dir   ${qt_dir}/share/${qt_name} 
+set qt_host_data_dir   ${prefix}/share/${qt_name} 
 
 # standard cmake info for Qt5
 global qt_cmake_defines
@@ -198,10 +233,18 @@
         # see if the framework install exists, and if so depend on it;
         # if not, depend on the library version
 
-        if {[file exists ${qt_frameworks_dir}/QtCore/QtCore]} {
-            depends_lib-append path:Library/Frameworks/QtCore/QtCore:qt5-mac
+        if {[info exists qt5_is_concurrent]} {
+            if {[file exists ${qt_frameworks_dir}/QtCore.framework/QtCore]} {
+                depends_lib-append path:libexec/${qt_name}/Library/Frameworks/QtCore.framework/QtCore:qt5-mac
+            } else {
+                depends_lib-append path:libexec/${qt_name}/lib/libQtCore.5.dylib:qt5-mac
+            }
         } else {
-            depends_lib-append path:lib/libQtCore.5.dylib:qt5-mac
+            if {[file exists ${qt_frameworks_dir}/QtCore.framework/QtCore]} {
+                depends_lib-append path:Library/Frameworks/QtCore.framework/QtCore:qt5-mac
+            } else {
+                depends_lib-append path:lib/libQtCore.5.dylib:qt5-mac
+            }
         }
     }
 }
Index: Portfile
===================================================================
diff --git a/trunk/dports/aqua/qt5-mac/Portfile b/trunk/dports/aqua/qt5-mac/Portfile
--- a/trunk/dports/aqua/qt5-mac/Portfile	(revision 131485)
+++ b/trunk/dports/aqua/qt5-mac/Portfile	(working copy)
@@ -1,435 +1,14 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
+# $Id$
 
 PortSystem          1.0
 
 name                qt5-mac
 version             5.3.2
-revision            1
-set branch          [join [lrange [split ${version} .] 0 1] .]
+revision            3
 
-categories          aqua
-platforms           macosx
-maintainers         mcalhoun openmaintainer
-license             {LGPL-2.1 GPL-3}
-
-homepage            http://qt-project.org
-description         Qt Tool Kit
-long_description    Qt Tool Kit: A cross-platform framework \
-    (headers, data, and libraries) for writing \
-    cross-platform GUI-based applications.
-
-distname            qt-everywhere-opensource-src-${version}
-
-master_sites        http://download.qt-project.org/official_releases/qt/${branch}/${version}/single/
-
-checksums           rmd160  5cd61acc2fbfba2597a386a09d83710ed2fdf483 \
-                    sha256  c8d3fd2ead30705c6673c5e4af6c6f3973346b4fb2bd6079c7be0943a5b0282d
-
-if { ${os.major} < 10 } {
-    pre-fetch {
-        ui_error "OS X prior to 10.7 (Lion) is not a Reference Configuration for Qt."
-        ui_error "OS X prior to 10.6 (Snow Leopard) is not even tested."
-        ui_error "See http://qt-project.org/doc/qt-5/supported-platforms.html#reference-configurations"
-        return -code error "unsupported OS"
-    }
-} elseif { ${os.major} == 10 } {
-    pre-fetch {
-        ui_warn "OS X prior to 10.7 (Lion) is not a Reference Configuration for Qt."
-        if { [variant_isset universal] } {
-            ui_warn "OS X 10.6 (Snow Leopard) is \"occasionally tested\" but ONLY in 32-bit mode."
-            ui_warn "OS X 10.6 (Snow Leopard) is deprecated and scheduled for removal in Qt 5.4."
-        } else {
-            if { ${build_arch} eq "i386" } {
-                ui_warn "OS X 10.6 (Snow Leopard) is \"occasionally tested\"."
-                ui_warn "OS X 10.6 (Snow Leopard) is deprecated and scheduled for removal in Qt 5.4."
-            } else {
-                ui_warn "OS X 10.6 (Snow Leopard) is \"occasionally tested\" but ONLY in 32-bit mode."
-                ui_warn "OS X 10.6 (Snow Leopard) is deprecated and scheduled for removal in Qt 5.4."
-            }
-        }
-        ui_warn "See http://qt-project.org/doc/qt-5/supported-platforms.html#reference-configurations"
-    }
-} elseif { ${os.major} > 13 } {
-    pre-fetch {
-        ui_warn "OS X subsequent to 10.9 (Mavericks) is not a Reference Configuration for Qt."
-        ui_warn "See http://qt-project.org/doc/qt-5/supported-platforms.html#reference-configurations"
-    }
-} else {
-    # 11 <= ${os.major} <= 13
-    if { [variant_isset universal] } {
-        pre-fetch {
-            ui_warn "Multiple architectures is not a Reference Configuration for Qt."
-            ui_warn "See http://qt-project.org/doc/qt-5/supported-platforms.html#reference-configurations"
-        }
-    } else {
-        if { ${build_arch} eq "i386" } {
-            pre-fetch {
-                ui_warn "32-bit mode is not a Reference Configuration for Qt."
-                ui_warn "See http://qt-project.org/doc/qt-5/supported-platforms.html#reference-configurations"
-            }
-        }
-    }
+if {[catch {source "${portpath}/Portfile.qt5"} err]} {
+    puts stderr "Error reading Portfile.qt5: $err"
+    return 1;
 }
-
-if { ${subport} eq "${name}-docs"  } {
-    universal_variant no
-}
-
-if { ${subport} eq ${name} || ${subport} eq "${name}-docs" } {
-    # use the qt5 group; set 'building_qt5' so that the portgroup
-    # does not include certain parts
-    set building_qt5    1
-    PortGroup           conflicts_build 1.0
-    PortGroup           qt5 1.0
-    PortGroup           xcodeversion 1.0
-
-    conflicts           qt3 qt3-mac qt4-mac
-
-    minimum_xcodeversions   {10 3.2}
-
-    # See https://bugreports.qt-project.org/browse/QTBUG-34902
-    conflicts_build-append  qt4-mac
-
-    # Kuba states in https://trac.macports.org/ticket/44207#comment:7 
-    #  "There's no reason to have parallel building disabled. Really."
-    #use_parallel_build no 
-
-    # header file QtCore/private/qmachparser_p.h is included only if "defined(QT_BUILD_INTERNAL) && defined(Q_OF_MACH_O)"
-    #     code from header is used only "ifdef Q_OF_MACH_O"
-    #     the two must be consistent
-    #     assume the header include code is correct
-    patchfiles-append patch-tst_qpluginloader.diff
-
-    # When testing, ensure that a universal object file is not inadvertently created.
-    patchfiles-append patch-machtest.diff
-
-    # On testing of 32-bit systems,
-    #  Pre-patch: QCOMPARE(unsigned long const&, unsigned int const&
-    # Post-patch: QCOMPARE(unsigned int  const&, unsigned int const&
-    # Function template is only instantiated for same first and second arguments.
-    patchfiles-append patch-tst_qarraydata.diff
-
-    # see http://stackoverflow.com/questions/14506151/invalid-symbol-redefinition-in-inline-asm-on-llvm
-    patchfiles-append patch-tst_benchlibcallgrind.diff
-
-    # During testing, NSStringFromRect requires NSRect.
-    patchfiles-append patch-tst_qaccessibilitymac_helpers.diff
-
-    # see #44934 (and #35067 for the qt4-mac version)
-    patchfiles-append patch-shared.diff
-
-    # see https://bugreports.qt-project.org/browse/QTBUG-41136
-    patchfiles-append patch-avfmediaplayersession.diff
-
-    # see https://bugreports.qt-project.org/browse/QTBUG-41367
-    patchfiles-append patch-qmacstyle_mac.diff
-
-    # --prefix is not recognized.
-    configure.pre_args-delete       --prefix=${prefix}
-
-    # --disable-dependency-tracking is not recognized.
-    configure.universal_args-delete --disable-dependency-tracking
-
-    if {${configure.sdkroot} ne ""} {
-        configure.args-append \
-            -sdk [string tolower [join [lrange [split [lindex [split ${configure.sdkroot} "/"] end] "."] 0 end-1] "."]]
-    }
-
-    configure.args-append                      \
-        -prefix         ${qt_dir}              \
-        -docdir         ${qt_docs_dir}         \
-        -headerdir      ${qt_includes_dir}     \
-        -plugindir      ${qt_plugins_dir}      \
-        -importdir      ${qt_imports_dir}      \
-        -qmldir         ${qt_qml_dir}          \
-        -datadir        ${qt_data_dir}         \
-        -libdir         ${qt_frameworks_dir}   \
-        -bindir         ${qt_bins_dir}         \
-        -translationdir ${qt_translations_dir} \
-        -sysconfdir     ${qt_sysconf_dir}      \
-        -examplesdir    ${qt_examples_dir}     \
-        -testsdir       ${qt_tests_dir}        \
-        -hostdatadir    ${qt_host_data_dir}
-
-    # Configure options:
-    configure.args-append \
-        -release          \
-        -opensource       \
-        -confirm-license  \
-        -shared           \
-        -process
-
-    # Third Party Libraries:
-    configure.args-append \
-        -no-mtdev         \
-        -no-harfbuzz      \
-        -openssl-linked   \
-        -no-xinput2       \
-        -no-xcb-xlib
-
-    # configure options that don't show up in configure --help
-    configure.args-append \
-        -no-libudev       \
-        -no-egl
-
-    # Additional options:
-    configure.args-append    \
-        {-make libs}         \
-        {-make tools}        \
-        {-nomake examples}   \
-        {-nomake tests}      \
-        -verbose             \
-        -no-optimized-qmake  \
-        -nis                 \
-        -cups                \
-        -iconv               \
-        -no-evdev            \
-        -icu                 \
-        -fontconfig          \
-        -strip               \
-        -no-pch              \
-        -dbus-linked         \
-        -no-xcb              \
-        -glib                \
-        -directfb            \
-        -no-linuxfb          \
-        -no-kms              \
-        -no-system-proxies   \
-        -framework
-
-    foreach driver { db2 ibase mysql oci odbc psql sqlite sqlite2 tds } {
-        configure.args-append -no-sql-${driver}
-    }
-
-    if { ![variant_isset universal] } {
-        configure.args-append "-platform ${qt_qmake_spec}"
-    } else {
-        set merger_configure_args(i386)   "-platform ${qt_qmake_spec_32}"
-        set merger_configure_args(x86_64) "-platform ${qt_qmake_spec_64}"
-    }
-
-    # configure options that don't show up in configure --help
-    configure.args-append \
-        -no-openvg
-
-    # Qt builds part of the system using environment provided my MacPorts.
-    # It builds the rest using its own internal environment.
-    # For consistency, clear MacPorts environment.
-    configure.cxx_stdlib
-    configure.sdkroot
-    configure.cc_archflags
-    configure.cxx_archflags
-    configure.objc_archflags
-    configure.objcxx_archflags
-    configure.ld_archflags
-    configure.cppflags
-    configure.cflags
-    configure.cxxflags
-    configure.objcflags
-    configure.objcxxflags
-    configure.ldflags
-    configure.pipe  no
-    if { [variant_isset universal] } {
-        set merger_arch_flag no
-    }
-    configure.march
-    configure.mtune
-    configure.universal_ldflags
-    configure.universal_cflags
-    configure.universal_cxxflags
-    configure.universal_cppflags
-}
-
-if { ${subport} eq ${name} } {
-    depends_lib                              \
-        port:zlib                            \
-        port:libpng                          \
-        port:jpeg                            \
-        port:freetype                        \
-        path:bin/dbus-daemon:dbus            \
-        port:openssl                         \
-        port:tiff                            \
-        port:libmng                          \
-        path:lib/pkgconfig/glib-2.0.pc:glib2 \
-        port:icu                             \
-        port:pcre                            \
-        port:libiconv
-
-    # see https://bugreports.qt-project.org/browse/QTBUG-35514
-    build.target
-
-    if { [variant_isset universal] } {
-        merger-post-destroot {
-            foreach arch ${universal_archs_to_use} {
-                set dir ${destroot}-${arch}
-
-                reinplace "s|${worksrcpath}-${arch}|${worksrcpath}|g" ${dir}${qt_frameworks_dir}/pkgconfig/Qt5WebKit.pc
-
-                foreach prlfl [glob ${dir}${qt_frameworks_dir}/*.framework/*.prl] {
-                    reinplace "s|${worksrcpath}-${arch}|${worksrcpath}|g" ${prlfl}
-                }
-
-                foreach prlfl [glob ${dir}${qt_frameworks_dir}/*.prl] {
-                    reinplace "s|${worksrcpath}-${arch}|${worksrcpath}|g" ${prlfl}
-                }
-
-                foreach prlfl [glob ${dir}${qt_frameworks_dir}/*.framework/*.prl] {
-                    reinplace "s|${worksrcpath}-${arch}|${worksrcpath}|g" ${prlfl}
-                }
-
-                reinplace "s|${worksrcpath}-${arch}|${worksrcpath}|g" ${dir}${qt_mkspecs_dir}/modules/qt_lib_bootstrap_private.pri
-
-                reinplace \
-                    "s|^set(_qt5_corelib_extra_includes \"\${_qt5Core_install_prefix}/share/qt5//mkspecs/macx-clang.*\")$|set(_qt5_corelib_extra_includes \"\${_qt5Core_install_prefix}/share/qt5//mkspecs/macx-clang-32\" \"\${_qt5Core_install_prefix}/share/qt5//mkspecs/macx-clang\")|" \
-                    ${dir}${qt_frameworks_dir}/cmake/Qt5Core/Qt5CoreConfigExtrasMkspecDir.cmake
-            }
-        }
-
-        post-destroot {
-            # delete preprocessor comments surrounding QT_CPU_FEATURES.i386 and QT_CPU_FEATURES.x86_64
-            reinplace "/^#ifndef.*$/d" ${destroot}${qt_mkspecs_dir}/qmodule.pri
-            reinplace "/^#else.*$/d"   ${destroot}${qt_mkspecs_dir}/qmodule.pri
-            reinplace "/^#endif.*$/d"  ${destroot}${qt_mkspecs_dir}/qmodule.pri
-        }
-
-        # The file ${prefix}/share/qt5/mkspecs/qconfig.pri is still not properly merged
-        # The solution is ???.
-    }
-
-    post-destroot {
-
-        # see #44204
-        foreach f [glob -nocomplain -directory ${destroot}${qt_frameworks_dir}/pkgconfig *.pc] {
-            set framework [file rootname [file tail ${f}]]
-            set incname   [string map {Qt5 Qt} ${framework}]
-            reinplace "s|-I\${includedir}/${incname}|-I\${includedir}|g" ${f}
-            reinplace "s|includedir=\${prefix}/include|includedir=\${libdir}/${framework}/Headers|g" ${f}
-        }
-
-        # move items out of the Frameworks directory that are more appropriate to lib directory
-        xinstall -m 775 -d ${destroot}${qt_cmake_module_dir}
-        foreach d [glob -tails -nocomplain -directory ${destroot}${qt_frameworks_dir}/cmake *] {
-            xinstall -m 775 -d ${destroot}${qt_cmake_module_dir}/${d}
-            foreach f [glob -nocomplain -directory ${destroot}${qt_frameworks_dir}/cmake/${d} *.cmake] {
-                # ${qt_frameworks_dir} is  ${qt_dir}/Library/Frameworks while
-                # ${qt_libs_dir}       is  ${qt_dir}/lib
-                # unless modified, cmake files will point to a directory that is too high in the directory hierarchy
-                reinplace "s|/../../../../|/../../../|g" ${f}
-                file rename ${f} ${destroot}${qt_cmake_module_dir}/${d}/
-            }
-        }
-        xinstall -m 775 -d ${destroot}${qt_pkg_config_dir}
-        foreach f [glob -nocomplain -directory ${destroot}${qt_frameworks_dir}/pkgconfig *.pc] {
-            file rename ${f} ${destroot}${qt_pkg_config_dir}
-        }
-        xinstall -m 775 -d ${destroot}${qt_libs_dir}/
-        foreach f [glob -nocomplain -directory ${destroot}${qt_frameworks_dir} *.{a,prl,la}] {
-            file rename ${f} ${destroot}${qt_libs_dir}/
-        }
-
-        # move items out of the bin directory that are more appropriate to the Applications directory
-        xinstall -m 775 -d ${destroot}${qt_apps_dir}
-        foreach f [glob -nocomplain -directory ${destroot}${qt_bins_dir} *.app] {
-            file rename ${f} ${destroot}${qt_apps_dir}/
-        }
-    }
-
-    variant harfbuzz description {(experimental) Use HarfBuzz-NG to do text shaping} {
-        depends_lib-append port:harfbuzz
-        configure.args-replace \
-            -no-harfbuzz       \
-            -system-harfbuzz
-    }
-
-    variant tests description {Enable tests} {
-        configure.args-replace {-nomake tests} {-make tests}
-    }
-
-    variant examples description {Build examples} {
-        configure.args-replace {-nomake examples} {-make examples}
-    }
-
-    variant debug description {Build both release and debug library} {
-        configure.args-replace -release -debug-and-release
-    }
-}
-
-subport ${name}-docs {
-    depends_lib-append \
-        path:${prefix}/bin/qdoc:${name} \
-        path:${qt_plugins_dir}/sqldrivers/libqsqlite.dylib:${name}-sqlite3-plugin
-
-    supported_archs   noarch
-
-    build.target      docs
-    destroot.target   install_docs
-
-    post-extract {
-        # For the most part, generated makefiles use ${prefix}/bin/qdoc.
-        # There are a couple of places that look in ${worksrcpath}/qtbase/src/tools/qdoc/.
-        ln -s ${prefix}/bin/qdoc ${worksrcpath}/qtbase/src/tools/qdoc/
-        ln -s ${prefix}/bin/qdoc ${worksrcpath}/qtbase/bin
-
-        # Similarly, location of qhelpgenerator is expected in ${worksrcpath}
-        xinstall -d -m 755 ${worksrcpath}/qttools/bin/
-        ln -s ${prefix}/bin/qhelpgenerator ${worksrcpath}/qttools/bin/
-
-        # Without this file, the makefile ${worksrcpath}/qtwebkit/Source/WebCore/Makefile.WebCore.Target
-        #    keeps generating itself over and over again.
-        # This file is only created when the library is being built, however.
-        xinstall -d -m 755 ${worksrcpath}/qtwebkit/Source/WebCore/generated
-        touch ${worksrcpath}/qtwebkit/Source/WebCore/generated/InspectorBackendCommands.qrc
-    }
-}
-
-# See http://qt-project.org/doc/qt-5/sql-driver.html for info on building SQL Database Drivers
-
-subport ${name}-sqlite3-plugin {
-    PortGroup           qmake5 1.0
-
-    depends_lib-append port:sqlite3
-
-    # for single architecture, easier to use
-    #    worksrcdir ${worksrcdir}/qtbase/src/plugins/sqldrivers/sqlite,
-    #    but doesn't work for universal build
-    configure.dir ${worksrcpath}/qtbase/src/plugins/sqldrivers/sqlite
-    build.dir     ${configure.dir}
-    destroot.dir  ${configure.dir}
-
-    configure.args-append "INCLUDEPATH+=${prefix}/include" "LIBS+=\"-L${prefix}/lib -lsqlite3\""
-}
-
-subport ${name}-psql84-plugin {
-    PortGroup           qmake5 1.0
-
-    depends_lib-append port:postgresql84
-
-    # for single architecture, easier to use
-    #    worksrcdir ${worksrcdir}/qtbase/src/plugins/sqldrivers/psql,
-    #    but doesn't work for universal build
-    configure.dir ${worksrcpath}/qtbase/src/plugins/sqldrivers/psql
-    build.dir     ${configure.dir}
-    destroot.dir  ${configure.dir}
-
-    configure.args-append "INCLUDEPATH+=${prefix}/include/postgresql84" "LIBS+=\"-L${prefix}/lib/postgresql84 -lpq\""
-}
-
-subport ${name}-mysql56-plugin {
-    PortGroup           qmake5 1.0
-
-    depends_lib-append port:mysql56
-
-    # for single architecture, easier to use
-    #    worksrcdir ${worksrcdir}/qtbase/src/plugins/sqldrivers/mysql,
-    #    but doesn't work for universal build
-    configure.dir ${worksrcpath}/qtbase/src/plugins/sqldrivers/mysql
-    build.dir     ${configure.dir}
-    destroot.dir  ${configure.dir}
-
-    configure.args-append "INCLUDEPATH+=${prefix}/include/mysql56/mysql" "LIBS+=\"-L${prefix}/lib/mysql56/mysql -lmysqlclient_r\""
-}
-
-livecheck.type      regex
-livecheck.url       http://qt-project.org/downloads
-livecheck.regex     "Qt (5(?:\\.\\d+)*) for Mac"
